What Version of Mac OS Is Required for TechSmith Products?

  Snagit (Mac) Camtasia (Mac)
10.5 Leopard 1.0.0 - 1.0.4 1.0.0 - 1.2.2
10.6 Snow Leopard 1.0.0 - 2.1.7 1.0.0 - 2.8.3
10.7 Lion 1.0.3 - 2.1.7 1.2.2 - 2.8.3
10.8 Mountain Lion 2.1.0 - 3.2.3 2.2.1 - 2.9.2
10.9 Mavericks 2.2.2 - 3.3.7 2.5.1 - 2.10.8
10.10 Yosemite 3.2.2 - 4.1.x 2.8.3 - 3.1.7
10.11 El Capitan 3.3.5 - 2018.2.x 2.10.4 - 2018.0.10
10.12 Sierra 4.0.5 or later 2.10.7 or later
10.13 High Sierra 4.1.6 or later 3.1.1 or later
10.14 Mojave 2018.2.3 or later 3.1.6 or 2018.0.5 or later
10.15 Catalina 2018.2.6 or 2019.1.6 or later 2018.0.11 or 2019.0.5 or later